Events

/v1/events — historial de eventos de plataforma para tu cuenta, útil para auditoría o reprocesamiento manual, independiente de si tus webhooks recibieron o no la entrega.

El objeto Event

{
  "id": "evt_01HZXK7QJ5M8Z9X2R3TVQ7A1B2",
  "type": "charge.approved",
  "created_at": "2026-09-01T00:05:01Z",
  "data": {
    "charge_id": "ch_01HZXK7QJ5M8Z9X2R3TVQ7A1B2",
    "subscription_id": "sub_01HZXK7QJ5M8Z9X2R3TVQ7A1B2",
    "amount_cents": 5000000
  }
}
CampoTipoDescripción
idstringIdentificador único del evento
typestringTipo de evento (ej. subscription.created)
created_atdatetimeFecha en que se generó el evento
dataobjectPayload específico del tipo de evento

Listar eventos

GET /v1/events

Paginación estándar (?limit=, ?starting_after=).

curl https://api.rekurra.dev/v1/events \
  -H "Authorization: Bearer rk_live_XXXXXXXXXXXXXXXXXXXXXXXX"

Obtener un evento

GET /v1/events/{id}

curl https://api.rekurra.dev/v1/events/evt_01HZXK7QJ5M8Z9X2R3TVQ7A1B2 \
  -H "Authorization: Bearer rk_live_XXXXXXXXXXXXXXXXXXXXXXXX"

Errores posibles

Statuserror.typeCausa
404invalid_requestEl evento no existe o no pertenece a tu cuenta